package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TarifaGrupoContrato;

public class RenderTarifaGrupoContrato implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
    	TarifaGrupoContrato tarifa = (TarifaGrupoContrato) o;
    	
    	Listcell lc = new Listcell(tarifa.getClaseServicio().getDescclase());
        lc.setParent(lstm);

        lc = new Listcell(tarifa.getTarifa().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(tarifa.getOrigem().getCveparada());
        lc.setParent(lstm);
        
        lc = new Listcell(tarifa.getOrigem().getDescparada());
        lc.setParent(lstm);
        
        lc = new Listcell(tarifa.getDestino().getCveparada());
        lc.setParent(lstm);
        
        lc = new Listcell(tarifa.getDestino().getDescparada());
        lc.setParent(lstm);

        lstm.setAttribute("data", tarifa);
    }
}
